#!/usr/bin/env python
# -*- coding: utf-8 -*-

class FileStatus:
    def __init__(self, config, filename):
        self.config = config
        self.filename = filename
        self.fuzzy, self.untranslated = None, None
        self.obsolete, self.translated = None, None
        
    def run(self):
        return 1

    def getConfig(self):
        return self.config
    
    def getFilename(self):
        return self.filename

    def getTranslated(self):
        if (self.translated):
            return int(self.translated)
        else:
            return None
    
    def getUntranslated(self):
        if (self.untranslated):
            return int(self.untranslated)
        else:
            return None

    def getFuzzy(self):
        if (self.fuzzy):
            return int(self.fuzzy)
        else:
            return None

    def getObsolete(self):
        if (self.obsolete):
            return int(self.obsolete)
        else:
            return None

    def getRatio(self):
        if self.translated == None: return None
        
        total = self.translated
        if self.fuzzy: total = total + self.fuzzy
        if self.untranslated: total = total + self.untranslated

        return float(self.translated) / float(total)

    def setTranslated(self, value):
        self.translated = value
        
    def setUntranslated(self, value):
        self.untranslated = value

    def setFuzzy(self, value):
        self.fuzzy = value

    def setObsolete(self, value):
        self.obsolete = value        
        
    def isFullyTranslated(self):
        return self.translated and not(self.fuzzy) and not(self.untranslated)
