#!/usr/bin/env python
# -*- coding: utf-8 -*-

class Status:
    def __init__(self, config):
        self.config = config

    def getConfig(self):
        return self.config

    def indent(self, level):
        return level * '  '

    def openTag(self, tagName, level = 0, attributes = None):
        if (attributes is None):
            attributes = ""
        else:
            attributes = " " + attributes
            
        if (tagName is not None and tagName != ""):
            return "%s<%s%s>\n" % (self.indent(level), tagName, attributes)
        else:
            return ""

    def closeTag(self, tagName, level = 0):
        if (tagName is not None and tagName != ""):
            return "%s</%s>\n" % (self.indent(level), tagName)
        else:
            return ""

    def attribute(self, name, value):
        if (name is None or value is None or name == ""):
            return ""
        else:
            return " %s='%s'" % (name, value)

    def textTag(self, tagName, text, level = 0, attributes = None):
        if (attributes is None):
            attributes = ""
        else:
            attributes = " " + attributes

        tag = ""
        if (text is not None and text != ""):
            tag = self.indent(level) + "<%s%s>%s</%s>\n" % \
                  (tagName, attributes, text, tagName)
        else:
            tag = "<%s/>\n" % tagName

        return tag
    
    def toXML(self, level=0):
        return ""

    def run(self):
        return 1
    
